package com.ffii.core.common.file.dao;

import java.util.Optional;

import com.ffii.core.common.file.entity.File;
import com.ffii.core.support.AbstractDao;

/** @author Fung */
public interface FileDao extends AbstractDao<File, Integer> {
  public Optional<File> findByIdAndSkey(int id, String skey);

  public Optional<File> findByIdAndSkeyAndFilenameAndExtension(int id, String skey, String filename, String extension);

  public int deleteByIdAndSkey(int id, String skey);
}
